org.apache.tapestry5.json

## Enum JSONType

- java.lang.Object
- - java.lang.Enum<JSONType>
  - - org.apache.tapestry5.json.JSONType

- All Implemented Interfaces:
    Serializable, Comparable<JSONType>

      public enum JSONType
      extends Enum<JSONType>

  Represents the different data types supported by JSON. Mostly used for descriptive reasons in exceptions.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANY`
    `ARRAY`
    `BOOLEAN`
    `NUMBER`
    `OBJECT`
    `STRING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JSONType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JSONType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOOLEAN

          public static final JSONType BOOLEAN

    - #### STRING

          public static final JSONType STRING

    - #### NUMBER

          public static final JSONType NUMBER

    - #### OBJECT

          public static final JSONType OBJECT

    - #### ARRAY

          public static final JSONType ARRAY

    - #### ANY

          public static final JSONType ANY

  - ### Method Detail

    - #### values

          public static JSONType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JSONType c : JSONType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JSONType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

5.6.4 - Copyright © 2003-2021 The Apache Software Foundation.